%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           hippo-canvas
Version:        0.2.31
Release:        1%{?dist}
Summary:        A canvas widget

Group:          System Environment/Libraries
License:        GPL
URL:            http://developer.mugshot.org/wiki/Hippo_Canvas
Source0:        ftp://ftp.gnome.org/pub/GNOME/sources/hippo-canvas/0.2/hippo-canvas-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cairo-devel
BuildRequires:  pango-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel
BuildRequires:  libcroco-devel

%description
The hippo-canvas library contains a canvas widget developed by the 
Mugshot team for displaying GTK+ UI across multiple platforms.

%package        devel
Summary:        Development files for hippo-canvas
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The hippo-canvas-devel package contains libraries and header files for
developing applications that use hippo-canvas.

%package        python
Summary:        Python module for hippo-canvas
Group:          Development/Languages
Requires:       %{name} = %{version}-%{release}
BuildRequires:  python-devel
BuildRequires:  pycairo-devel
BuildRequires:  pygtk2-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gtk-doc

%description    python 
The hippo-canvas-python package contains a Python interface.

%prep
%setup -q

%build
autoreconf -i
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc LICENSE README AUTHORS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/hippo-canvas-1.pc
%{_libdir}/*.so

%files python
%defattr(-,root,root,-)
%{python_sitearch}/*.so

%changelog
* Thu Apr 24 2008 Colin Walters <walters@redhat.com> - 0.2.31-1
- Update to 0.2.31

* Mon Mar 31 2008 Colin Walters <walters@redhat.com> - 0.2.30-1
- Update to 0.2.30

* Tue Feb 26 2008 Colin Walters <walters@redhat.com> - 0.2.26-1
- Update to 0.2.26

* Sat Feb  2 2008 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.25-1
- Update to 0.2.25

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.2.24-2
- Rebuild for selinux ppc32 issue.

* Fri Jul 13 2007 Owen Taylor <otaylor@redhat.com> - 0.2.24-1
- Update to 0.2.24

* Wed Jul 11 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.23-1
- Update to 0.2.23

* Mon Jul  9 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.22-1
- Update to 0.2.22

* Fri Jul  6 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.21-1
- Update to 0.2.21

* Wed Jun 27 2007 Marco Pesenti Gritti <mpg@redhat.com> - 0.2.19-1
- Update to 0.2.19
- Require gtk-doc

* Mon May 14 2007 Colin Walters <walters@redhat.com> - 0.2.17-3
- Hopefully make patch apply

* Fri May 11 2007 Colin Walters <walters@redhat.com> - 0.2.17-2
- Add patch to install python in pyexecdir. 

* Thu May 02 2007 Colin Walters <walters@redhat.com> - 0.2.17-1
- New upstream
- Package pc file
- Add BRs on pycairo-devel, pygtk-devel

* Mon Apr 30 2007 Colin Walters <walters@redhat.com> - 0.2.16-1
- New upstream

* Mon Apr 09 2007 Colin Walters <walters@redhat.com> - 0.2.13-2
- Fully qualify source url

* Tue Apr 03 2007 Colin Walters <walters@redhat.com> - 0.2.13-1
- Tweak for mugshot.org releases

* Tue Oct 03 2006 John (J5) Palmieri <johnp@redhat.com> - 0.1.2-1
- initial package
